Subject: [mpls] comment on draft-ietf-mpls-residence-time

From: Lou Berger <[email-masked]>
Date: Sun, 31 Jan 2016 09:37:34 -0500

Hi,
	I see you propose defining a new RSVP object class that has application
specific scope.  As I'm sure you know the RSVP class-number space is
really small so it's best to avoid allocating new object classes
whenever possible.  I believe there is an existing object class that you
can use for your purposes -- the LSP_ATTRIBUTES object.

Have you considered carrying RTM Hops in 1 (or three,  depending on if
you want sub-tlvs or not) new RTM Attribute TLV (or TLVs)?

If not, I think it is worth exploring the viability of this approach or
any other approach that doesn't require the allocation of a new class-num.

Lou
(As contributor and TEAS co-chair)